Bug 569723 - SELinux is preventing /bin/bash "search" access on ieee80211.
Summary: SELinux is preventing /bin/bash "search" access on ieee80211.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:865ae9a84ed...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-02 07:31 UTC by Quentin Armitage
Modified: 2010-03-10 06:48 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-10 06:48:29 UTC


Attachments (Terms of Use)

Description Quentin Armitage 2010-03-02 07:31:45 UTC
Summary:

SELinux is preventing /bin/bash "search" access on ieee80211.

Detailed Description:

[pm-suspend has a permissive type (devicekit_power_t). This access was not
denied.]

SELinux denied access requested by pm-suspend. It is not expected that this
access is required by pm-suspend and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:devicekit_power_t:s0-s0:c0.c1023
Target Context                system_u:object_r:debugfs_t:s0
Target Objects                ieee80211 [ dir ]
Source                        pm-suspend
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.1.2-3.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.10-4.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33-1.fc13.i686.PAE #1 SMP Wed Feb 24 19:54:49
                              UTC 2010 i686 i686
Alert Count                   18
First Seen                    Mon 01 Mar 2010 07:11:51 PM GMT
Last Seen                     Tue 02 Mar 2010 12:53:01 AM GMT
Local ID                      7b827813-de7c-4799-abbf-667544c327c0
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1267491181.143:22475): avc:  denied  { search } for  pid=30132 comm="pm-suspend" name="ieee80211" dev=debugfs ino=19331 scontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tcontext=system_u:object_r:debugfs_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1267491181.143:22475): avc:  denied  { search } for  pid=30132 comm="pm-suspend" name="/" dev=debugfs ino=1 scontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tcontext=system_u:object_r:debugfs_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1267491181.143:22475): avc:  denied  { search } for  pid=30132 comm="pm-suspend" name="/" dev=debugfs ino=1 scontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tcontext=system_u:object_r:debugfs_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1267491181.143:22475): avc:  denied  { search } for  pid=30132 comm="pm-suspend" name="/" dev=debugfs ino=1 scontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tcontext=system_u:object_r:debugfs_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1267491181.143:22475): avc:  denied  { search } for  pid=30132 comm="pm-suspend" name="/" dev=debugfs ino=1 scontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tcontext=system_u:object_r:debugfs_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1267491181.143:22475): avc:  denied  { search } for  pid=30132 comm="pm-suspend" name="/" dev=debugfs ino=1 scontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tcontext=system_u:object_r:debugfs_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1267491181.143:22475): avc:  denied  { search } for  pid=30132 comm="pm-suspend" name="/" dev=debugfs ino=1 scontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tcontext=system_u:object_r:debugfs_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1267491181.143:22475): avc:  denied  { search } for  pid=30132 comm="pm-suspend" name="/" dev=debugfs ino=1 scontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tcontext=system_u:object_r:debugfs_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1267491181.143:22475): avc:  denied  { search } for  pid=30132 comm="pm-suspend" name="/" dev=debugfs ino=1 scontext=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 tcontext=system_u:object_r:debugfs_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1267491181.143:22475): arch=40000003 syscall=4 success=yes exit=3 a0=1 a1=b78db000 a2=3 a3=3 items=0 ppid=1450 pid=30132 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="pm-suspend" exe="/bin/bash" subj=system_u:system_r:devicekit_power_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,pm-suspend,devicekit_power_t,debugfs_t,dir,search
audit2allow suggests:

#============= devicekit_power_t ==============
allow devicekit_power_t debugfs_t:dir search;

Comment 1 Quentin Armitage 2010-03-02 07:37:49 UTC
I don't this this adds much, but it occurred during a suspend/resume cycle

Comment 2 Daniel Walsh 2010-03-02 13:53:26 UTC
I don't think this is something to worry about.  We are having a discussion about this in a potentially related bug.

569572

Comment 3 Daniel Walsh 2010-03-02 16:23:15 UTC
Fixed in selinux-policy-3.7.11-1.fc13.noarch

Comment 4 Fedora Update System 2010-03-04 18:46:43 UTC
selinux-policy-3.7.11-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.11-1.fc13

Comment 5 Fedora Update System 2010-03-05 03:34:35 UTC
selinux-policy-3.7.11-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.11-1.fc13

Comment 6 Fedora Update System 2010-03-10 06:48:03 UTC
selinux-policy-3.7.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.